# ApplicationFramework
TKPLCAF
MDocStd

# MDocStd_PersistentMap Class Reference

`#include <MDocStd_PersistentMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MDocStd_PersistentMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT MDocStd_PersistentMap & | Assign (const MDocStd_PersistentMap &Other)
MDocStd_PersistentMap & | operator= (const MDocStd_PersistentMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~MDocStd_PersistentMap ()
Standard_EXPORT Standard_Boolean | Add (const Handle(Standard_Persistent)&aKey)
Standard_EXPORT Standard_Boolean | Contains (const Handle(Standard_Persistent)&aKey) const
Standard_EXPORT Standard_Boolean | Remove (const Handle(Standard_Persistent)&aKey)

## Private Member Functions

Standard_EXPORT | MDocStd_PersistentMap (const MDocStd_PersistentMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT MDocStd_PersistentMap::MDocStd_PersistentMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

MDocStd_PersistentMap::~MDocStd_PersistentMap | ( |  | ) | `[inline]`

Standard_EXPORT MDocStd_PersistentMap::MDocStd_PersistentMap | ( | const MDocStd_PersistentMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean MDocStd_PersistentMap::Add | ( | const Handle(Standard_Persistent)& | aKey | ) |

Standard_EXPORT MDocStd_PersistentMap& MDocStd_PersistentMap::Assign | ( | const MDocStd_PersistentMap & | Other | ) |

Standard_EXPORT void MDocStd_PersistentMap::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean MDocStd_PersistentMap::Contains | ( | const Handle(Standard_Persistent)& | aKey | ) | const

void MDocStd_PersistentMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MDocStd_PersistentMap::operator new | ( | size_t | size | ) | `[inline]`

void* MDocStd_PersistentMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

MDocStd_PersistentMap& MDocStd_PersistentMap::operator= | ( | const MDocStd_PersistentMap & | Other | ) | `[inline]`

Standard_EXPORT Standard_Boolean MDocStd_PersistentMap::Remove | ( | const Handle(Standard_Persistent)& | aKey | ) |

Standard_EXPORT void MDocStd_PersistentMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

The documentation for this class was generated from the following file:

- MDocStd_PersistentMap.hxx